Subject: Re: Fwd: linux2.6 does not boot from XUP

From: wangyanlong <[email-masked]>
Date: Tue, 6 May 2008 00:04:22 -0700 (PDT)

Hi ,boys . I am in the XiDian universtiy of china . I am doing the things ike
yours.You can try set ttyUL0,if you use the Uartlite. If it don't work , may
be  gcc 4.1.0  miscompile the kernel 2.6 , I am using the gcc3.4.4.
Good luck

张轶 wrote:
> 
> ---------- Forwarded message ----------
> From: 张轶 <[email-masked]>
> Date: 2008/5/5
> Subject: linux2.6 does not boot from XUP
> To: [email-masked]
> 
> 
> Hi,Grant
> 
> I hope I could get some advices from you about how to fix the error of
> porting linux2.6 to Xilinx XUPV2P.
> 
> The kernel I am using is 2.6.24,gcc 4.1.0,glibc 2.3.6,and the board Xilinx
> XUPV2P
> 
> It compiles successfully with some warnings like below:
>   MODPOST vmlinux.o
> WARNING: vmlinux.o(.text+0x223c): Section mismatch: reference to
> .init.text:early_init (between 'start_here' and 'initial_mmu')
> WARNING: vmlinux.o(.text+0x2254): Section mismatch: reference to
> .init.text:machine_init (between 'start_here' and 'initial_mmu')
> WARNING: vmlinux.o(.text+0x2258): Section mismatch: reference to
> .init.text:MMU_init (between 'start_here' and 'initial_mmu')
> WARNING: vmlinux.o(.text+0x22b2): Section mismatch: reference to
> .init.text:start_kernel (between 'start_here' and 'initial_mmu')
> WARNING: vmlinux.o(.text+0x22b6): Section mismatch: reference to
> .init.text:start_kernel (between 'start_here' and 'initial_mmu')
>    LD      vmlinux
> 
> The system is created as ACE file and booted from CF Card
> 
> After uncompressing the kernel,the system hangs.The information is like
> below:
> 
> loaded at:     00400000 0056619C
> board data at: 00000000 0000007C
> relocated to:  00404068 004040E4
> zimage at:     00404E51 00563BF4
> avail ram:     00567000 7C9E2370
> 
> Linux/PPC load: console=ttyS0,9600 root=/dev/xsysace/disc0/part3 rw
> Uncompressing Linux...done.
> Now booting the kernel
> I wonder if it is the upper WARNINGs that causes the hang of the system,
> and
> how can I fix it.
> 
> Thanks in advance, any advice would be helpful
> 
> Best Regards
> 
> Yi
> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev
> 

-- 
View this message in context: http://www.nabble.com/Fwd%3A-linux2.6-does-not-boot-from-XUP-tp17074762p17077099.html
Sent from the linuxppc-dev mailing list archive at Nabble.com.